Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iscript
Class IScriptXmlSource

    java.lang.Object
      ix.iscript.IScriptXmlSource

All Implemented Interfaces:
  IScriptSource, java.io.Serializable

    public class IScriptXmlSource

extends java.lang.Object
implements IScriptSource, java.io.Serializable

An object that can be used to wrap an I-Script `Expression`. It carries the knowledge of how to translate the Expression into the tree form used by `Interpreter`s.

See Also:
  Serialized Form

Field Summary
`protected Expression` | `expression`
`protected static IScriptParser` | `parser`

Constructor Summary
`IScriptXmlSource()`

Method Summary
`Expression` | `getExpression()`
`java.lang.String` | `getSyntax()` Returns a string that identifies the syntax of the source contained in, or represented by, this object.
`Interpreter.Expr` | `parseSource()` Converts the source code into the tree representation used by `Interpreter`s.
`void` | `setExpression(Expression expr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected static IScriptParser parser

### expression

    protected Expression expression

Constructor Detail

### IScriptXmlSource

    public IScriptXmlSource()

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expr)

### getSyntax

    public java.lang.String getSyntax()

  Description copied from interface: `IScriptSource`
  Returns a string that identifies the syntax of the source contained in, or represented by, this object. At present, the value should be either "iscript/lisp" or "iscript/xml".

  Specified by:
    `getSyntax` in interface `IScriptSource`

### parseSource

    public Interpreter.Expr parseSource()

  Description copied from interface: `IScriptSource`
  Converts the source code into the tree representation used by `Interpreter`s.

  Specified by:
    `parseSource` in interface `IScriptSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD